Subject: Re: Deployment questions

From: june <[email-masked]>
Date: Mon, 6 Oct 2025 12:32:53 -0400

> On Oct 5, 2025, at 19:18, Lydia Sobot <[email-masked]> wrote:
> 
>> I decided to vendor sqlite so that scooper could consistently be
>> statically linked. I think FreeBSD stopped building libsqlite3.a
>> in their port and I cared about that at the time.
> Makes perfect sense, however then maybe it should be bumped to the
> latest release of SQLite?

yeah I guess so.

>>> 2) does slowcgi from OpenBSD base not work for some reason given the
>>> specific chroot and socket setup required given that httpd runs under
>>> www:www and litterbox usually runs under your own user?
>> 
>> yeah, that's why it's more convenient to run it with kfcgi(8).
> Fair, but considering that unless I missed something obvious, slowcgi(8)
> also has the ability to switch to a different user and put the socket
> and chroot at an arbitrary location, just like kfcgi(8), so are there
> other subtleties that make it break with slowcgi(8)?

as far as I know it would work fine with slowcgi(8) if it was
configured properly. I just haven't run it that way.

> 
>> yeah a lot of my projects could probably use new releases... I'll
>> get around to them eventually maybe.
> Great~